Package org.apache.tools.ant.taskdefs.optional.junitlauncher.confined

## Class TestClasses

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition
  - - org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestClasses

-     public class TestClasses
      extends TestDefinition

  Represents a `testclasses` that's configured to be launched by the `JUnitLauncherTask`

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition

      `excludeEngines, failureProperty, forkDefinition, haltOnFailure, ifProperty, includeEngines, listeners, outputDir, unlessProperty`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestClasses()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(ResourceCollection resourceCollection)` |
    `static java.util.List<TestDefinition>` | `fromForkedRepresentation​(javax.xml.stream.XMLStreamReader reader)` |
    `java.util.List<java.lang.String>` | `getTestClassNames()` |
    `protected void` | `toForkedRepresentation​(JUnitLauncherTask task, javax.xml.stream.XMLStreamWriter writer)` |

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition

      `addConfiguredListener, createFork, getExcludeEngines, getFailureProperty, getIncludeEngines, getListeners, getOutputDir, isHaltOnFailure, setExcludeEngines, setFailureProperty, setHaltOnFailure, setIf, setIncludeEngines, setOutputDir, setUnless, shouldRun`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestClasses

          public TestClasses()

  - ### Method Detail

    - #### add

          public void add​(ResourceCollection resourceCollection)

    - #### getTestClassNames

          public java.util.List<java.lang.String> getTestClassNames()

    - #### toForkedRepresentation

          protected void toForkedRepresentation​(JUnitLauncherTask task,
                                                javax.xml.stream.XMLStreamWriter writer)
                                         throws javax.xml.stream.XMLStreamException

      Specified by:
        `toForkedRepresentation` in class `TestDefinition`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### fromForkedRepresentation

          public static java.util.List<TestDefinition> fromForkedRepresentation​(javax.xml.stream.XMLStreamReader reader)
                                                                         throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`